# GimpUi.Button

    from gi.repository import GimpUi

    button = GimpUi.Button()

GimpUi.Button adds an extra signal to the Gtk.Button widget that allows the callback to distinguish a normal click from a click that was performed with modifier keys pressed.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Bin
          - Gtk.Button
            - GimpUi.Button

## Methods

- GimpUi.Button.extended_clicked

## Signals

- extended-clicked

## Virtual functions

- GimpUi.Button::extended_clicked

## Fields

- GimpUi.Button->parent_instance